# Type alias IPFSContentDetails

IPFSContentDetails: {
cid: string;
content?: string;
gateway: boolean;
link?: string;
text?: string;
type?: IpfsContentType;
} | undefined

#### Type declaration

- ##### cid: string

- ##### `Optional` content?: string

- ##### gateway: boolean

- ##### `Optional` link?: string

- ##### `Optional` text?: string

- ##### `Optional` type?: IpfsContentType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:96